# Update from 4.0 to 4.1

## GitLab CI 4.x requires GitLab 6.3 or higher

### 1. stop CI server

    sudo service gitlab_ci stop

### 2. Switch to your gitlab_ci user

```
sudo su gitlab_ci
cd /home/gitlab_ci/gitlab-ci
```

### 3. get latest code

```
git fetch
git checkout 4-1-stable
```

### 4. Install libs, migrations etc

```
# For MySQL users
bundle install --without postgres development test --deployment

# For Postgres users
bundle install --without mysql development test --deployment

# Run migrations
bundle exec rake db:migrate RAILS_ENV=production

# Update cron
bundle exec whenever -w
```

### 5. Start web application

    sudo service gitlab_ci start

### 6. Make sure your runners are version 4.0


    cd path_to_runner
    cat VERSION

To update runners follow this instructions https://github.com/gitlabhq/gitlab-ci-runner#update
