# Update from 4.2 to 4.3

## GitLab CI 4.x requires GitLab 6.3 or higher

### 1. stop CI server

    sudo service gitlab_ci stop

### 2. Switch to your gitlab_ci user

```
sudo su gitlab_ci
cd /home/gitlab_ci/gitlab-ci
```

### 3. get latest code

```
git fetch
git checkout 4-3-stable
```

### 4. Install libs, migrations etc

Edit web server settings

```
cp config/unicorn.rb.example config/unicorn.rb
editor config/unicorn.rb
```

Then:

```
# For MySQL users
bundle install --without postgres development test --deployment

# For Postgres users
bundle install --without mysql development test --deployment

# Run migrations
bundle exec rake db:migrate RAILS_ENV=production
```

### 5. Setup unicorn
```
cp config/unicorn.rb.example config/unicorn.rb
```

### 6. Install the new init script
As a user with sudo rights:

```
cd /home/gitlab_ci/gitlab-ci
sudo cp lib/support/init.d/gitlab_ci /etc/init.d/gitlab_ci
sudo chmod +x /etc/init.d/gitlab_ci
```

### 7. Start web application

    sudo service gitlab_ci start
