# Update from 5.2 to 5.3

__GitLab CI 5.3 requires GitLab 7.5 or higher and GitLab CI Runner v5__

### 1. stop CI server

    sudo service gitlab_ci stop

### 2. Switch to your gitlab_ci user

```
sudo su gitlab_ci
cd /home/gitlab_ci/gitlab-ci
```

### 3. Get latest code

```
git fetch
git checkout 5-3-stable
```

#### Redis config

If you have `config/resque.yml` file - please update it with recent `config/resque.yml.example`

### 4. Install libs, migrations etc

```
# For MySQL users
bundle install --without postgres development test --deployment

# For Postgres users
bundle install --without mysql development test --deployment

# Run migrations
bundle exec rake db:migrate RAILS_ENV=production
```

### 5. Start web application

    sudo service gitlab_ci start