# Update from 7.12 to 7.13

## Notice

__GitLab CI 7.13 requires GitLab 7.12 or higher and GitLab Multi Runner 0.5.0 or higher

### 1. Stop CI server

    sudo service gitlab_ci stop

### 2. Switch to your gitlab_ci user

```
sudo su gitlab_ci
cd /home/gitlab_ci/gitlab-ci
```

### 3. Get latest code

```
git fetch
git checkout 7-13-stable
```

### 4. Make sure GitLab CI can write to the builds/ directory

```
sudo chmod -R u+rwX builds
```

### 4. Copy secrets

The `secrets.yml` file is used to store keys to encrypt sessions and encrypt secure variables.
When you run migrations make sure to store it someplace safe.
Don't store it in the same place as your database backups,
otherwise your secrets are exposed if one of your backups is compromised.

```
sudo -u gitlab_ci -H cp config/secrets.yml.example config/secrets.yml
sudo -u gitlab_ci -H chmod 0600 config/secrets.yml
```

### 5. Install libs, migrations etc


```
# Install nodejs dependency:
sudo apt-get install nodejs

# For MySQL users
bundle install --without postgres development test --deployment

# For Postgres users
bundle install --without mysql development test --deployment

# Run migrations
bundle exec rake db:migrate RAILS_ENV=production
```


### 5. Start web application

    sudo service gitlab_ci start
